TICKIT_STRING_REF(3)

NAME
tickit_string_ref, tickit_string_unref - adjust the refcount of a counted string

SYNOPSIS
    #include <tickit.h>

    TickitString *tickit_string_ref(TickitString *s);
    void tickit_string_unref(TickitString *s);

Link with -ltickit.

DESCRIPTION
tickit_string_ref() increments the stored refcount of the given counted string instance by one. It returns the pointer argument itself, so it is useful for chaining.

tickit_string_unref() decrements the stored refcount of the given counted string instance by one. If the refcount drops to zero, the instance is destroyed.

RETURN VALUE
tickit_string_ref() returns a counted string instance pointer. tickit_string_unref() returns no value.

SEE ALSO
tickit_string_new(3), tickit_string(7), tickit(7)